js-babel
Consolidated babel dependencies.
Last updated 4 years ago by philcockfield .
MIT · Repository · Bugs · Original npm · Tarball · package.json
$ cnpm install js-babel 
SYNC missed versions from official npm registry.

js-babel

Consolidated Babel dependencies for core ES transpiling.

IMPORTANT

Do not reference this library unless you are happy staying in lock-step with the babel transpiler plugins used by my modules and other idiomatic decisions that I make.

Install

A single dependency will bring all the standard babel presents and plugins:

npm install --save-dev js-babel
{
  "devDependencies": {
    "js-babel": "^6.0.0"
  }
}

Configure

.babelrc

The references in this module's package.json allow for the following presents and plugins in your .babelrc file:

{
  "presets": ["es2015", "stage-0"],
  "plugins": ["transform-class-properties"]
}

Tests

npm install
npm test

License: MIT

Current Tags

  • 6.1.0                                ...           latest (4 years ago)

11 Versions

  • 6.1.0                                ...           4 years ago
  • 6.0.6                                ...           4 years ago
  • 6.0.5                                ...           4 years ago
  • 6.0.4                                ...           5 years ago
  • 6.0.3                                ...           5 years ago
  • 6.0.2                                ...           5 years ago
  • 6.0.1                                ...           5 years ago
  • 6.0.0                                ...           5 years ago
  • 1.0.2                                ...           5 years ago
  • 1.0.1                                ...           5 years ago
  • 1.0.0                                ...           5 years ago

Copyright 2014 - 2016 © taobao.org |